# OpalSilenceDetector::Params Struct Reference

`#include <silencedetect.h>`

## Public Member Functions

| Params (Modes mode=AdaptiveSilenceDetection, unsigned threshold=0, unsigned signalDeadband=10, unsigned silenceDeadband=400, unsigned adaptivePeriod=600)

## Data Fields

Modes | m_mode
unsigned | m_threshold
| Silence detection mode.
unsigned | m_signalDeadband
| Threshold value if FixedSilenceDetection.
unsigned | m_silenceDeadband
| milliseconds of signal needed
unsigned | m_adaptivePeriod
| milliseconds of silence needed

## Constructor & Destructor Documentation

OpalSilenceDetector::Params::Params | ( | Modes | mode = `AdaptiveSilenceDetection`,
|  | unsigned | threshold = `0`,
|  | unsigned | signalDeadband = `10`,
|  | unsigned | silenceDeadband = `400`,
|  | unsigned | adaptivePeriod = `600` |
| ) |  |  | `[inline]`

Parameters:

  mode | New silence detection mode
  threshold | Threshold value if FixedSilenceDetection
  signalDeadband | 10 milliseconds of signal needed
  silenceDeadband | 400 milliseconds of silence needed
  adaptivePeriod | 600 millisecond window for adaptive threshold

## Field Documentation

unsigned OpalSilenceDetector::Params::m_adaptivePeriod

milliseconds of silence needed

Modes OpalSilenceDetector::Params::m_mode

unsigned OpalSilenceDetector::Params::m_signalDeadband

Threshold value if FixedSilenceDetection.

unsigned OpalSilenceDetector::Params::m_silenceDeadband

milliseconds of signal needed

unsigned OpalSilenceDetector::Params::m_threshold

Silence detection mode.

The documentation for this struct was generated from the following file:

- silencedetect.h